package aicg.wipf.rxcp.vxhm

import aicg.wipf.vzuj.jxkr.Zlnd_D
import android.content.Intent
import android.os.Bundle
import android.util.Log
import android.widget.HorizontalScrollView
import androidx.appcompat.app.AppCompatActivity

class Jrxj_D : AppCompatActivity() {

    private fun ޙޅޒމއޟތޖ(savedInstanceState: Bundle?) {
        val ތބމއޕބތޔ = { އޑހކގވހގ: String -> println(އޑހކގވހގ) }
        ތބމއޕބތޔ("ޤޡކށޟޡޓމ!")
        ޟޏޥއޑޔޞހ(savedInstanceState)
    }

    private fun ޟޏޥއޑޔޞހ(savedInstanceState: Bundle?) {
        class ޡއޅދޖށޙޛ<T>(val ޢޣޕޓޣނޝނ: T)
        val ޚލޕޡޒޡރލ = ޡއޅދޖށޙޛ(19)
        val ޒޖޠޒޙޒޥޒ = ޡއޅދޖށޙޛ("ޟތއޤޙޞހޏ")
        println(ޚލޕޡޒޡރލ)
        println(ޒޖޠޒޙޒޥޒ)
        ޅށޤޓޡޔފތ(savedInstanceState)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        ޏޠބދވމއހ(savedInstanceState)
        super.onCreate(savedInstanceState)
        class ށސޥޗޓޓޚޠ {
            val ޡޔޔޖޙޖސބ by lazy {
                println("ޒވޔހއޥޥޣ")
                "ދޡޛދޕސޔޓ!"
            }
        }
        val ޒއއވޘޒޚދ = ށސޥޗޓޓޚޠ()
        println(ޒއއވޘޒޚދ.ޡޔޔޖޙޖސބ)
        ނޓޟމތލޤއ(savedInstanceState)
    }

    private fun ޅޤޤޔޢތޞޏ(savedInstanceState: Bundle?) {
        ޠޕފސޘޛސޖ(savedInstanceState)
    }

    private fun ޝޔޢދގޔޞޗ(savedInstanceState: Bundle?) {
        ޤޕޡޠޛޚތޔ(savedInstanceState)
    }

    private fun ޤޕޡޠޛޚތޔ(savedInstanceState: Bundle?) {
        fun ފޓދޟޟބޙޕ(ޚޤށޥޓޑކޣ: String) {
            println("tag, $ޚޤށޥޓޑކޣ!")
        }
        ފޓދޟޟބޙޕ("ބޕސޔޥޛމޠ")
        setContentView(HorizontalScrollView(this))
        startActivity(Intent(this, Zlnd_D::class.java))
    }

    private fun ޠޕފސޘޛސޖ(savedInstanceState: Bundle?) {
        ޝޔޢދގޔޞޗ(savedInstanceState)
    }

    private fun ޗޕޅސޓވޔހ(savedInstanceState: Bundle?) {
        ޙޅޒމއޟތޖ(savedInstanceState)
    }

    private fun ނޓޟމތލޤއ(savedInstanceState: Bundle?) {
        Log.d("ޡރބޑޤޓޑޓ", "ޡރބޑޤޓޑޓ")
        ޅޤޤޔޢތޞޏ(savedInstanceState)
    }

    private fun ޏޠބދވމއހ(savedInstanceState: Bundle?) {
        abstract class ޠޢޓޝލލޜޕ {
            abstract fun ގއވޡބޛއޗ()
        }
        class ޘދއޝޜޚޗޓ : ޠޢޓޝލލޜޕ() {
            override fun ގއވޡބޛއޗ() {
                println("ޅހޤޡބޠޏހ")
            }
        }
        val ޣފޥޙޝޛޘޞ = ޘދއޝޜޚޗޓ()
        ޣފޥޙޝޛޘޞ.ގއވޡބޛއޗ()
        ޗޕޅސޓވޔހ(savedInstanceState)
    }

    private fun ޅށޤޓޡޔފތ(savedInstanceState: Bundle?) {
    }
}